import { Component, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material';
import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';

@Component({
  selector: 'of-infra-page',
  templateUrl: './infra-page.component.html',
  styleUrls: ['./infra-page.component.scss']
})
export class InfraPageComponent implements OnInit {

  constructor(
    private dialog: MatDialog
  ) { }

  ngOnInit() {
  }

  discovery() {
    const dialogRef = this.dialog.open(DiscoverySettingComponent, {
      width: '80%',
    });

    dialogRef.afterClosed().subscribe(result => {
      console.log('The dialog was closed');

    });
  }

  authProbe() {
  }
}
