import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { InfraPageComponent } from './infra-page.component';
import { InfraPageRoutingModule } from './infra-page-routing.module';

import { MaterialModule } from 'packages/commons/material/material.module';

import { InfraModule } from 'packages/infra/infra.module';
import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';

@NgModule({
  imports: [
    CommonModule,
    InfraPageRoutingModule,
    MaterialModule,
    InfraModule
  ],
  declarations: [
    InfraPageComponent
  ],
  entryComponents: [
    DiscoverySettingComponent
  ]
})
export class InfraPageModule { }
