import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { NvD3Module } from 'commons/chart/core/nvd3/nvd3.module';

import { LineComponent } from './component/line.component';

@NgModule({
  imports: [
    CommonModule,
    NvD3Module,
  ],
  exports: [
    LineComponent,
  ],
  declarations: [
    LineComponent,
  ],
})
export class LineModule { }
