import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { Ng2OdometerModule } from 'ng2-odometer';

import { MaterialModule } from 'packages/commons/material/material.module';
import { DashboardCardComponent } from './dashboard-card.component';


@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    RouterModule,
    Ng2OdometerModule.forRoot()
  ],
  declarations: [
    DashboardCardComponent,
  ],
  exports: [
    DashboardCardComponent
  ]
})
export class DashboardCardModule { }
