import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { Ng2OdometerModule } from 'ng2-odometer';

import { MaterialModule } from 'packages/commons/material/material.module';
import { ConfirmDialogComponent } from './confirm-dialog.component';


@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    RouterModule
  ],
  declarations: [
    ConfirmDialogComponent,
  ],
  exports: [
    ConfirmDialogComponent
  ]
})
export class ConfirmDialogModule { }
