import { RPCError } from 'packages/core/rpc/error';

import { Zone } from '../../model';

export interface State {
  error: RPCError | null;
  processing: boolean;
  zones: Map<string, Zone> | null;
}

export const initialState: State = {
  error: null,
  processing: false,
  zones: null,
};
