import { Target } from 'packages/target/model';
import { MetaCrawler, MetaSensorStatus } from 'packages/meta/model';

export interface Sensor {
  id?: number;
  createDate?: Date;
  description?: string;
  status?: MetaSensorStatus;
  target?: Target;
  crawler?: MetaCrawler;
  crawlerInputItems?: string;
  itemCount?: number;
}
